Introduction IBM Knowledge Catalog provides the capabilities for you to track data science models across the organization. View at a glance which models are in production and which need development or validation. Use the governance features to establish best practices to manage the communication flow from data scientists to ModelOps administrators. Endpoint URLs The Factsheet API uses the following global endpoint URL. When you call the API, add the path for each method to form the complete API endpoint for your requests. https://api.dataplatform.cloud.ibm.com Authentication Before you can call a Watson Data API you must first create an IAMhttps://cloud.ibm.com/docs/account?topic=account-iamtokenfromapikey bearer token. Each token is valid only for one hour, and after a token expires you must create a new one if you want to continue using the API. The recommended method to retrieve a token programmatically is to create an API key for your IBM Cloud identity and then use the IAM token API to exchange that key for a token. You can create a token in IBM Cloud or by using the IBM Cloud command line interface CLI. To create a token in the IBM Cloud: 1. Log in to IBM Cloudhttps://cloud.ibm.com and select Manage Security Platform API Keys. 2. Create an API key for your own personal identity, copy the key value, and save it in a secure place. After you leave the page, you will no longer be able to access this value. 3. With your API key, set up Postman or another REST API tool and run the following command to the right Curl command with API key to retrieve token curl "https://iam.cloud.ibm.com/identity/token" \ -d "apikey=YOURAPIKEYHERE&granttype=urn%3Aibm%3Aparams%3Aoauth%3Agrant-type%3Aapikey" \ -H "Content-Type: application/x-www-form-urlencoded" \ -H "Authorization: Basic Yng6Yng=" Response json { "accesstoken": "eyJraWQiOiIyMDE3MDgwOS0wMDowMDowMCIsImFsZyI6...", "refreshtoken": "zmRTQFKhASUdF76Av6IUzi9dtB7ip8F2XV5fNgoRQ0mbQgD5XCeWkQhjlJ1dZi8K...", "tokentype": "Bearer", "expiresin": 3600, "expiration": 1505865282 } 4. Use the value of the accesstoken property for your Factsheet API calls. Set the accesstoken value as the authorization header parameter for requests to the Watson Data APIs. The format is Authorization: Bearer Method Path Summary DELETE /v1/aigov/inventories/{inventory_id}/collaborators/{collaborator_id} Delete Collaborators from an Inventory PATCH /v1/aigov/inventories/{inventory_id}/collaborators/{collaborator_id} Update Role of the Collaborator GET /v1/aigov/inventories/{inventory_id}/collaborators List all Collaborators of an Inventory POST /v1/aigov/inventories/{inventory_id}/collaborators Add Collaborators to an Inventory PATCH /v1/aigov/inventories/{inventory_id}/assets/{asset_id}/collaborators Add/Remove/Update Collaborator for an Asset GET /v1/aigov/factsheet/settings/{setting} Gets an AI Governance Configuration Setting PUT /v1/aigov/factsheet/settings/{setting} Updates AI Governance Configuration Settings DELETE /v1/aigov/factsheet/settings/{setting} Deletes an AI Governance Configuration Setting GET /v1/aigov/inventories Gets all AI Governance Inventories Details POST /v1/aigov/inventories Create a Factsheet Inventory GET /v1/aigov/inventories/{inventory_id} Gets an AI Governance Inventory Details DELETE /v1/aigov/inventories/{inventory_id} Deletes an AI Governance Inventory PATCH /v1/aigov/inventories/{inventory_id} Update an AI Governance Inventory properties GET /v1/aigov/factsheet/settings Gets all AI Governance Configuration Settings GET /v1/aigov/model_inventory/models/{model_asset_id}/deployments Get all deployments of external model PUT /v1/aigov/model_inventory/models/{model_asset_id}/deployments Add a deployment to external model GET /v1/aigov/model_inventory/model_entries Get All Model use case assets POST /v1/aigov/model_inventory/model_entries Create a Model use case asset for given catalog POST /v1/aigov/model_inventory/model_usecases/{model_usecase_asset_id}/version_approach Create model use case approach DELETE /v1/aigov/model_inventory/models/{model_asset_id}/deployments/{deployment_id} Delete external model deployment GET /v1/aigov/model_inventory/model_entries/{model_entry_asset_id} Fetch Model use case Asset for given assetId DELETE /v1/aigov/model_inventory/model_entries/{model_entry_asset_id} Delete Model use case PATCH /v1/aigov/model_inventory/model_entries/{model_entry_asset_id} Update Status and/or Risk Level of ModelEntry DELETE /v1/aigov/model_inventory/model_usecases/{model_usecase_asset_id}/version_approach/{approach_id} Delete Model use case approach PATCH /v1/aigov/model_inventory/model_usecases/{model_usecase_asset_id}/version_approach/{approach_id} Update Model use case approach GET /v1/aigov/model_inventory/{catalog_id}/model_entries Fetch all Model use case assets for the catalog GET /v1/aigov/model_inventory/models/{asset_id}/system_facts Fetch System facts of the Model POST /v1/aigov/model_inventory/models/{asset_id}/system_facts Update SystemFacts with openscale data GET /v1/aigov/model_inventory/model_usecases/{model_usecase_asset_id}/tracked_model_versions Fetch Model use case Asset for given assetId GET /v1/aigov/model_inventory/models/{model_asset_id}/version_details Gets the version details of a model GET /v1/aigov/model_inventory/model_entries/{model_entry_asset_id}/models Fetch all Physical Models for a logical Model POST /v1/aigov/model_inventory/models/{asset_id}/model_entry Link Model to Model use case PUT /v1/aigov/model_inventory/models/{model_asset_id}/deployments/{deployment_id}/environment Move deployment from source to target environment PUT /v1/aigov/model_inventory/models/{model_asset_id}/environment Move model from source to target environment PUT /v1/aigov/model_inventory/model_stub Save External Model PATCH /v1/aigov/model_inventory/model_entries/{model_entry_asset_id}/relatemodels Update master_id for a model PUT /v1/aigov/model_inventory/model_usecases/{model_usecase_asset_id}/version_approach/{approach_id}/versions/{version_number} Update Model use case approach GET /v1/aigov/factsheet/attachment_fact_definitions/{type_name} Get attachment facts for given type either model_usecase or model POST /v1/aigov/factsheet/attachment_fact_definitions/{type_name} Create attachment group deifinition GET /v1/aigov/factsheet/report_logo Returns the Report Attachment Contents. PUT /v1/aigov/factsheet/report_logo Uploads the Report Logo as an Attachment to the AIGOV Config Asset DELETE /v1/aigov/factsheet/report_logo Deletes the Existing Report Logo Attachment from AIGOV Config Asset GET /v1/aigov/factsheet/report_stylesheet Returns the Report Attachment Contents. PUT /v1/aigov/factsheet/report_stylesheet Uploads the Report StyleSheet as an Attachment to the AIGOV Config Asset DELETE /v1/aigov/factsheet/report_stylesheet Deletes the Existing Report StyleSheet Attachment from AIGOV Config Asset GET /v1/aigov/factsheet/attachment_fact_definitions Get all Attachment facts GET /v1/aigov/model_inventory/model_usecases/{asset_id}/facts Get Attachmet details for the given attachment ID GET /v1/aigov/factsheet/report_logo_stylesheet/file_name Returns the Report Attachment Logo or Stylesheet file name. PUT /v1/aigov/factsheet/models/attachment/{asset_id}/content Returns templates metadata, if scope is provided then it would provide only those scope specific template metadata PUT /v1/aigov/factsheet/model_entries/attachment/{model_entry_asset_id}/content Returns templates metadata, if scope is provided then it would provide only those scope specific template metadata GET /v1/aigov/report_templates Returns templates metadata, if scope is provided then it would provide only those scope specific template metadata POST /v1/aigov/report_templates Create report template GET /v1/aigov/report_templates/{template_id} Returns templates metadata, if scope is provided then it would provide only those scope specific template metadata DELETE /v1/aigov/report_templates/{template_id} Delete Report User Report Template Asset PATCH /v1/aigov/report_templates/{template_id} Update report template DELETE /v1/aigov/report_templates/system/{template_id} API to delete the System Report Template GET /v1/aigov/model_inventory/model_entries/{model_entry_asset_id}/report Download Model use case Asset for given assetId, format type and template type GET /v1/aigov/model_inventory/models/{asset_id}/report Download Model Asset for given assetId, format type and template type GET /v1/aigov/report_templates/{template_id}/content Returns templates metadata, if scope is provided then it would provide only those scope specific template metadata POST /v1/aigov/report_templates/{template_id}/content Update specific report template content